@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Aboreto&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nixie+One&display=swap");

*,
html,
body {
  font-family: "Montserrat", sans-serif;
}

body {
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  height: 100%;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.search-container {
  width: 100%;
  height: 90vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

.searchBar {
  display: flex;
  width: 100%;
  justify-content: center;
}

.searchBar button {
  width: 70px;
  height: 70px;

  border: none;
  cursor: pointer;
  z-index: 3;
  transition: all 0.4s ease-in-out;

  border-radius: 50%;
}

.searchBar button i {
  color: #444444;
}

.search {
  border: none;
  outline: none;

  width: 0;

  font-size: 1em;
  border-radius: 50px;
  transform: translate3d(35px, 0, 0);
  transition: all 0.4s ease-in-out;

  z-index: -1;
}

.active {
  transform: translate3d(0, 0, 0);
  width: 20%;
  padding: 0 2em;
  margin: 0 1em;
}
